﻿using EduSpider.Model.Entity;
using EduSpider.Model.Extend;
using System.Collections.Generic;
using VTX.FW.Config;
using VTX.FW.DB;

namespace EduSpider.IRepository
{
    /// <summary>
    /// 评语仓储层接口
    /// </summary>
    public interface ICommentRepository : IDBRepository<RB_Comment>, IDependency
    {
        /// <summary>
        /// 新增修改默认配置
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        public bool SetCommentRepository(RB_Comment_Extend model);

        /// <summary>
        /// 获取系统配置评价列表
        /// </summary>
        /// <returns></returns>
        public RB_Comment_Extend GetCommentListRepository(string KeyWords,int CommentTimes);
    }
}
